> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get taxonomy workflow status

> Retrieve the current status and progress of a taxonomy workflow created using `POST /v2/taxonomy-workflow`.



## OpenAPI

````yaml product-agent.openapi get /v2/taxonomy-workflow/{workflow_id}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Support Team
  description: >
    The Product Agent API helps brands optimize product data for AI-driven
    commerce.

    Monitor how your catalog performs in AI search experiences, enrich product

    content for stronger semantic visibility, and publish optimized data across

    channels. Designed for iterative improvement, Product Agent enables teams to

    measure, refine, and enhance product content as AI shopping behavior
    evolves.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: fabric Orders API
  version: 3.0.0
  x-audience: external-public
servers:
  - url: https://commerceos.aiagents.fabric.inc/api
    description: Production API
security:
  - authorization: []
externalDocs:
  description: Find out more about Product Agent.
  url: https://developer.fabric.inc/product-agent/overview
paths:
  /v2/taxonomy-workflow/{workflow_id}:
    get:
      summary: Get taxonomy workflow status
      description: >-
        Retrieve the current status and progress of a taxonomy workflow created
        using `POST /v2/taxonomy-workflow`.
      operationId: getTaxonomyWorkflowStatus
      parameters:
        - $ref: '#/components/parameters/DomainHeader'
        - name: workflow_id
          in: path
          required: true
          description: Workflow ID returned from `POST /v2/taxonomy-workflow`.
          schema:
            type: string
            format: uuid
            example: a1462a91-f733-45fe-993b-5d0353f33ee3
      responses:
        '200':
          description: Workflow status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxonomyWorkflowStatusResponse'
              example:
                id: a1462a91-f733-45fe-993b-5d0353f33ee3
                brand_id: 268465dd-71f5-4179-959c-9bac01029451
                status: REVIEW_PENDING
                workflow_type: ATTRIBUTE_AND_CATEGORY_MAPPING
                import_document_path: >-
                  taxonomy-workflow/vessel/d6441888-f25d-4acb-8898-07808526ecdb/d6441888-f25d-4acb-8898-07808526ecdb_input.csv
                created_at: '2026-03-12T17:54:07.374339Z'
                updated_at: '2026-03-12T17:54:08.276233Z'
                total_category_mappings: 0
                total_attribute_mappings: 0
                workflow_id: a1462a91-f733-45fe-993b-5d0353f33ee3
                workflow_status: REVIEW_PENDING
                tenant_id: 268465dd-71f5-4179-959c-9bac01029451
                workflow_phase: PRE_PROCESS
                domain: vessel
                total_items: 0
                processed_items: 0
                successful_items: 0
                failed_items: 0
                total_chunks: 0
                processed_chunks: 0
                input_file_id: 69b2fdbfd1dcca3911c666e6
                output_file_id: null
                error_file_id: null
                review_required: false
                review_task_id: null
                enrichment_workflow_id: null
                error_message: null
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Workflow not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
components:
  parameters:
    DomainHeader:
      name: domain
      in: header
      required: true
      schema:
        type: string
        example: vessel
      description: >-
        The brand domain or brand identifier used to scope the request to a
        specific brand’s data and configuration.
  schemas:
    TaxonomyWorkflowStatusResponse:
      type: object
      required:
        - id
        - status
        - workflow_type
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        brand_id:
          type: string
          format: uuid
        status:
          type: string
          example: REVIEW_PENDING
        workflow_type:
          type: string
          example: ATTRIBUTE_AND_CATEGORY_MAPPING
        import_document_path:
          type: string
          example: taxonomy-workflow/vessel/..._input.csv
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        total_category_mappings:
          type: integer
          example: 0
        total_attribute_mappings:
          type: integer
          example: 0
        workflow_id:
          type: string
          format: uuid
        workflow_status:
          type: string
          example: REVIEW_PENDING
        tenant_id:
          type: string
          format: uuid
        workflow_phase:
          type: string
          example: PRE_PROCESS
        domain:
          type: string
          example: vessel
        total_items:
          type: integer
          example: 0
        processed_items:
          type: integer
          example: 0
        successful_items:
          type: integer
          example: 0
        failed_items:
          type: integer
          example: 0
        total_chunks:
          type: integer
          example: 0
        processed_chunks:
          type: integer
          example: 0
        input_file_id:
          type: string
          nullable: true
          example: 69b2fdbfd1dcca3911c666e6
        output_file_id:
          type: string
          nullable: true
          example: null
        error_file_id:
          type: string
          nullable: true
          example: null
        review_required:
          type: boolean
          example: false
        review_task_id:
          type: string
          nullable: true
          example: null
        enrichment_workflow_id:
          type: string
          nullable: true
          example: null
        error_message:
          type: string
          nullable: true
          example: null
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````